#ifndef __API_FRACTALS_INTERFACE__
#define __API_FRACTALS_INTERFACE__

#include <stdlib.h>
#include <gtk/gtk.h>
#include "main.h"
#include "fractal.h"
#include "utilities.h"
#include "interface-gui-menu.h"
#include "interface-gui-toolbox.h"
#include "interface-gui-events.h"


GtkWidget *create_interface();
void put_pixel(double x, double y, int iter); /*nova funkce*/
void compute_size();
void paint_start();
void intf_alert(char * zprava); /* vyhodi msgbox upozornujici, ze neco nejde */
void intf_alert_fatal(char * zprava); /* vyhodi msgbox upozornujici, ze neco nejde a skonci program */
void refresh();
void reset(int mode);
void refresh_values();

guchar *rgbBuffer;
gint limit;

GtkWidget *intf_darea;
GtkWidget *intf_window;
GtkAccelGroup *accelGroup;


#endif /*__API_FRACTALS_INTERFACE__*/
